package org.iphsoft.simon1.ui;

import com.mojotouch.fotaq.R;

import org.iphsoft.simon1.AndroidPortAdditions;
import org.iphsoft.simon1.util.MyLog;

import android.content.Context;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.widget.CheckBox;
import android.widget.RadioButton;

public class DialogCheckBox extends CheckBox {

	public DialogCheckBox(Context context, AttributeSet attrs, int defStyle)
	{
		super(context, attrs, defStyle);
		init(context);
	}

	public DialogCheckBox(Context context, AttributeSet attrs)
	{
		super(context, attrs);
		init(context);
	}

	public DialogCheckBox(Context context)
	{
		super(context);
		init(context);
	}

	protected void init(Context context)
	{
		if (!isInEditMode())
		{
			String tfName = null;
			switch (AndroidPortAdditions.GAME_TYPE)
			{
			case SIMON1:
			case SIMON2:
				tfName = "scarecrow.ttf";
				break;
			case T7G:
			case FOTAQ:
			case IHNM:

				tfName = "bocklin.ttf";
				break;
			}
			
			// Set font
			Typeface tf = Typeface.createFromAsset(context.getAssets(), tfName);
			setTypeface(tf);
		}

		setTextColor(getResources().getColor(R.color.white));

		int padding = (int) (getResources().getDimension(R.dimen.radio_button_padding) / getResources()
				.getDisplayMetrics().density);

		switch (AndroidPortAdditions.GAME_TYPE)
		{
		case SIMON1:
			setTextSize(TypedValue.COMPLEX_UNIT_SP, 14);

			setPadding(getPaddingLeft() + padding, padding, padding, padding);

			break;
		case SIMON2:
		case T7G:
		case FOTAQ:
		case IHNM:
			int textSize = (int) (getResources().getDimension(R.dimen.radio_button_text_size) / getResources()
					.getDisplayMetrics().density);
			setTextSize(TypedValue.COMPLEX_UNIT_DIP, textSize);

			setPadding(getPaddingLeft() + padding, 0, 0, 0);

			break;
		}

	}
}
